function ShowSelect(divid) {

            if (document.getElementById(divid))
                document.getElementById(divid).style.visibility="visible";
	}

function HideSelect(divid){



            if (document.getElementById(divid))
                document.getElementById(divid).style.visibility="hidden";

	}


 function fancyAlert(msg) {
jQuery.fancybox({

'content' : "<div style=\"margin:1px;width:160px; height:80px; text-align:left\">"+msg+"<div style=\"text-align:center !important;padding-top:40px\"><div class=\"formbtn\" style=\"vertical-align:top !important; width:50px; top:-5px;\" onclick=\"jQuery.fancybox.close();\"><input type=\"button\" style=\"cursor:pointer\" onclick=\"jQuery.fancybox.close();\" value=\"OК\"></div></div></div>"
});
}

$(window).load(function() {


    //отключаем виртуальную клавиатуру под ИЕ, т.к. конфликтует со скриптом-валидатором полей формы

    //if ($.browser.msie){
        //$('input.keyboardInput').removeClass('keyboardInput');
        //$('textarea.keyboardInput').removeClass('keyboardInput');
    //}


			if ($('#slider').length > 0) {

				$('#slider').nivoSlider({
				controlNav:false,
				prevText: '‹',
				nextText: '›',
				effect:'fade',
				boxCols: 6,
				boxRows: 4,
				pauseTime:false
				});
				$('#slider').data('nivoslider').stop()

			};


		});


$(document).ready(function() {



$('.good[rel="voted"]').css('opacity','0.5');


//Открывака в результатах голосований
toggleVote();


$('.selects > a').mousedown(function(e) {
		$(this).siblings('div').find('ul:first').parent().toggle();
		e.preventDefault();
	});
	$('.selects > a').click(function(e) {e.preventDefault();});

	$('.selects ul li a').mousedown(function(e) {
		$(this).parents('ul:first').parent().siblings('a').find('span').text($(this).text());
		$(this).parents('ul:first').parent().siblings('input[type="hidden"]').attr('value', $(this).attr('href').replace('#', ''));

		$(this).parents('ul:first').parent().hide();

		$(this).parents('ul:first').find('a').removeClass('checked');
		$(this).addClass('checked');

		e.preventDefault();
	});
	$('.selects ul li a').mouseup(function(e) {
		$(this).parents('ul:first').parent().siblings('a').find('span').text($(this).text());
		$(this).parents('ul:first').parent().siblings('input[type="hidden"]').attr('value', $(this).attr('href').replace('#', ''));

		$(this).parents('ul:first').parent().hide();

		$(this).parents('ul:first').find('a').removeClass('checked');
		$(this).addClass('checked');

		e.preventDefault();
	});
	$('.selects ul li a').click(function(e) {e.preventDefault();});

	$('.selects').mouseleave(function(){
		$(this).doTimeout( 'optionsHide', 800, function(){
			$(this).find('> div').hide();
		});
	});
	$('.selects').mouseenter(function() {
		$(this).doTimeout('optionsHide');
	});














$("a.fancypopup").fancybox({
		'hideOnContentClick': true
	});






    ////Карты Яндекса
    if($('#YMapsID').length>0)
    {
        //   // Создание обработчика для события window.onLoad
        YMaps.jQuery(function () {
            // Создание экземпляра карты и его привязка к созданному контейнеру
            var map = new YMaps.Map(YMaps.jQuery("#YMapsID")[0]);

            // Создание объекта геокодера

            var geocoder = new YMaps.Geocoder(address);

            // По завершению геокодирования инициализируем карту первым результатом
            YMaps.Events.observe(geocoder, geocoder.Events.Load, function (geocoder) {
                if (geocoder.length()) {
                    map.setBounds(geocoder.get(0).getBounds());
                    geoResult = this.get(0);
                    map.addOverlay(geoResult);
                    map.setBounds(geoResult.getBounds());



                }
            });

            //	// Добавление элементов управления
            map.addControl(new YMaps.TypeControl());
            map.addControl(new YMaps.ToolBar());
            map.addControl(new YMaps.Zoom());
            map.addControl(new YMaps.MiniMap());
            map.addControl(new YMaps.ScaleLine());
        });

    };

    // Карты Яндекса конец

    //прокрутка контента
    /*$(function()
    {
        $('.scroll-pane').jScrollPane({
            showArrows:true,
            scrollbarWidth:11,
            dragMaxHeight:43
        });
    });*/


    //$(".listing span").corner("10px");

    /*resizeContent();*/

    /*changeHeaderPic();*/



    $(".listitemtitle").click(function () {
        $(this).toggleClass("selected");
        $(this).siblings('div').slideToggle("medium", function () {

            //$('.scroll-pane').jScrollPaneRemove();
            //$('.scroll-pane').jScrollPane({
                //showArrows:true,
                //scrollbarWidth:11,
                //dragMaxHeight:43
           // });

        });


    });

    /*var ulElem = jQuery(this).find("div");
       if(ulElem.is(":hidden"))
            ulElem.slideDown(100, function () {

                //alert($(this));
                $(this).parent().removeClass("faqItem");
                $(this).parent().addClass("faqItem_selected");

             //alert($(this).className);

            });
        else
            ulElem.slideUp(100, function () {
               $(this).parent().removeClass("faqItem_selected");
               $(this).parent().addClass("faqItem");

            });    });*/

    //$('#ppy1').popeye();

    $('a.galleryfile').fancybox({
        overlayShow: true,
        overlayOpacity: 0.5,
        zoomSpeedIn: 1500,
        zoomSpeedOut:600,
        showNavArrows:true,
        showCloseButton:true
    });

    //LeftMenu slide down

    $('.menutogglebutton').click(function(){
        $(this).parent().siblings('.mainmenu2lev').slideToggle("slow", function(){
            if ($(this).siblings().hasClass('mainmenuitem_a_m'))
            {
                $(this).siblings('.mainmenuitem_a_m').removeClass('mainmenuitem_a_m').addClass('mainmenuitem_p');
            }
            else {
                $(this).siblings('.mainmenuitem_p').removeClass('mainmenuitem_p').addClass('mainmenuitem_a_m');
            }
        })
    });

    $('.menulvltogglebutton').click(function(){
        $(this).siblings('.mainmenu3lev').slideToggle("slow");
        if ($(this).parent().hasClass('mainmenu2levitem_a_m')) {
            $(this).parent().removeClass('mainmenu2levitem_a_m').addClass('mainmenu2levitem_p');
        }else $(this).parent().removeClass('mainmenu2levitem_p').addClass('mainmenu2levitem_a_m');
    });

    $("#calendar").datepicker({
        changeMonth: true,
        changeYear: true,

        onSelect: function(dateText, inst) {
            curUrl=document.location.href;

            //alert(curUrl);
            newUrl=curUrl.replace(/page(\d+)\.html/, '');
            newUrl=newUrl.replace(/[0-9]{4}-[0-9]{2}-[0-9]{2}\//, '');
            document.location.href=newUrl+dateText+"/";
        },
        onChangeMonthYear: function(year, month, inst) {
            $.ajax({
                url: '/scripts/ajaxGetNews.php?id_page='+id_page+'&month='+formatMonth(month)+'&year='+year,
                dataType : "xmlDocument",
                success: function (data) {
                    if (window.DOMParser)
                    {
                        parser=new DOMParser();
                        xmlDoc=parser.parseFromString(data,"text/xml");
                    }
                    else // Internet Explorer
                    {
                        xmlDoc=new ActiveXObject("Microsoft.XMLDOM");
                        xmlDoc.async="false";
                        xmlDoc.loadXML(data);
                    }

                    root = xmlDoc.getElementsByTagName('days')[0];
                    nodes = root.getElementsByTagName('day');
                    items = new Array();
                    for (var j = 0 ; j < nodes.length ; j++)
                        items[j] = Number(nodes[j].firstChild.nodeValue);

                    for (var i = 1 ; i < 32; i++)
                    {
                        if (document.getElementById('m'+month+'d'+i)){
                            if (inArray(i,items)){
                                document.getElementById('m'+month+'d'+i).className="ui-state-new";
                            }
                            else{
                                document.getElementById('m'+month+'d'+i).removeAttribute('onclick');
                                document.getElementById('m'+month+'d'+i).firstChild.removeAttribute('href');
                                document.getElementById('m'+month+'d'+i).firstChild.setAttribute('nohref', '#');
                            }
                        }
                    }
                }
            });
        }
    });
    if(document.getElementById('calendar')){
        today = new Date();
        curMonth=today.getMonth()+1;
        curYear=today.getFullYear();
        $.ajax({
            url: '/scripts/ajaxGetNews.php?id_page='+id_page+'&month='+formatMonth(curMonth)+'&year='+curYear,
            dataType : "xmlDocument",
            success: function (data) {
                if (window.DOMParser)
                {
                    parser=new DOMParser();
                    xmlDoc=parser.parseFromString(data,"text/xml");
                }
                else // Internet Explorer
                {
                    xmlDoc=new ActiveXObject("Microsoft.XMLDOM");
                    xmlDoc.async="false";
                    xmlDoc.loadXML(data);
                }

                root = xmlDoc.getElementsByTagName('days')[0];
                nodes = root.getElementsByTagName('day');
                items = new Array();
                for (var j = 0 ; j < nodes.length ; j++)
                    items[j] = Number(nodes[j].firstChild.nodeValue);
                for (var i = 1 ; i < 32; i++)
                {
                    if (document.getElementById('m'+curMonth+'d'+i)){
                        if (inArray(i,items)){
                            document.getElementById('m'+curMonth+'d'+i).className="ui-state-new";
                        }
                        else{
                            document.getElementById('m'+curMonth+'d'+i).removeAttribute('onclick');
                            document.getElementById('m'+curMonth+'d'+i).firstChild.removeAttribute('href');
                            document.getElementById('m'+curMonth+'d'+i).firstChild.setAttribute('nohref', '#');
                        }
                    }
                }
            }
        });
    }

    $("#toggleaddsearch").click(function () {
        $(this).toggleClass("selectedtoggle");
        $('#addsearchlink').slideToggle("medium", function(){
            /*$('.scroll-pane').jScrollPaneRemove();
            $('.scroll-pane').jScrollPane({
                showArrows:true,
                scrollbarWidth:11,
                dragMaxHeight:43
            });  */
        });
    });

    $(".tabs A ").click(function(){
    	$(".cont").removeClass("current");
    	$(".tc-tab").removeClass("current");
    	$($(this).attr("href")).addClass("current");
    	$($(this).parent()).addClass("current");
    	return false;
    });

});


/*
window.onresize = resizeContent;
*/

function resizeContent(){

    var pageHeight = document.body.scrollHeight;
    //var winHeight=self.innerHeight ? self.innerHeight : document.body.clientHeight;
    //alert(winHeight);
    //var contentHeight = pageHeight - 430;
    var contentHeight = pageHeight - 170;
    if(document.getElementById('content'))
        document.getElementById('content').style.minHeight = contentHeight + "px";
    if(document.getElementById('scroll-wrap'))
        document.getElementById('scroll-wrap').style.height =  contentHeight + "px";
    if(document.getElementById('scroll-pane'))
        document.getElementById('scroll-pane').style.height =  contentHeight + "px";
}


var mainmenuitems = Array();





function selectNews(url, period){
    document.location.href=url+period+"/";
}


function changeMainMenuStyle(id){

}


function revertMainMenuStyle(id){


}





function showMenu(id){
    if(document.getElementById('menu_'+id))
        document.getElementById('menu_'+id).style.visibility = 'visible';
}

function hideMenu(id){
    if(document.getElementById('menu_'+id))
        document.getElementById('menu_'+id).style.visibility = 'hidden';
}


function loadMovie(movie) {

    var so = new SWFObject('player.swf'/*tpa=http://dit.mos.ru/images/flv/player.swf*/,'player','518','348','8');
    so.addParam('flashvars', 'config=/images/flv/config.xml&autostart=true&file=' + movie);
    so.addParam('allowfullscreen','true');
    if (document.getElementById('videoplayer'))
        so.write('videoplayer');
}

function formatMonth(month){
    if(month<10) month='0'+month;
    return month;
}

function changeRedMenuStyle(id){
    document.getElementById('topmenuitem_'+id).className = 'topmenuitem_a';
    document.getElementById('topmenuitem_left_'+id).className = 'topmenuitem_left_a';
    document.getElementById('topmenuitem_right_'+id).className = 'topmenuitem_right_a';
}
function revertRedMenuStyle(id){
    document.getElementById('topmenuitem_'+id).className = 'topmenuitem';
    document.getElementById('topmenuitem_left_'+id).className = 'topmenuitem_left';
    document.getElementById('topmenuitem_right_'+id).className = 'topmenuitem_right';
}

function inArray(val,arr){
    for (var i=0; i < arr.length; i++) {
        if (arr[i] == val) {
            return true;
        }
    }
    return false;
}

function navigate(formname,idx){
    if(idx!=0)
        document.location.href=document.getElementById(formname).options[idx].value;
}

var tabs = Array ('publications','announces','news');

function getTabIndex(id){
    for(var i = 0; i < tabs.length; i++)
        if(tabs[i]==id)
            return i;
    return false;
}

function hideAllTabs(){
    for(var i = 0; i <tabs.length; i++){
        document.getElementById(tabs[i]).style.display = 'none';

        var tabIndex = getTabIndex(tabs[i]);
        if(tabIndex == 0)
            document.getElementById(tabs[i]+'tab').className = 'lefttab';
        else if (tabIndex == tabs.length - 1)
            document.getElementById(tabs[i]+'tab').className = 'righttab';
        else
            document.getElementById(tabs[i]+'tab').className = 'tab';
    }
}

function switchTab(id){
    hideAllTabs();
    document.getElementById(id).style.display = 'block';

    var tabIndex = getTabIndex(id);
    if(tabIndex == 0)
        document.getElementById(id+'tab').className = 'lefttab_a';
    else if (tabIndex == tabs.length - 1)
        document.getElementById(id+'tab').className = 'righttab_a';
    else
        document.getElementById(id+'tab').className = 'tab_a';
}

function switchChart(id){

    for(var i=0; i < charts.length; i++){
        document.getElementById('chartLink'+i).className = 'inactive';
    }

    document.getElementById('chartHeader').innerHTML = charts[id].title;
    document.getElementById('chartPic').src = charts[id].smallImage;
    document.getElementById('chartBigPicLink').href = charts[id].bigImage;
    document.getElementById('chartBigPicLink').title = charts[id].title;
    document.getElementById('chartLink'+id).className = 'active';

}


var headerPics = new Array(
    new Array('header_01.jpg'/*tpa=http://dit.mos.ru/images/header_01.jpg*/,'Совещание по административным вопросам в Коллегии Министерства транспорта'),
    new Array('header_02.jpg'/*tpa=http://dit.mos.ru/images/header_02.jpg*/,'Мэр Москвы презентовал Президенту России универсальную электронную карту москвича'),
    new Array('header_03.jpg'/*tpa=http://dit.mos.ru/images/header_03.jpg*/,'Заседание комиссии по административной реформе'),
    new Array('header_04.jpg'/*tpa=http://dit.mos.ru/images/header_04.jpg*/,'Мэр Москвы презентовал Президенту России универсальную электронную карту москвича')

);
var buttonPics = new Array(
    new Array('btn_0','header_btn_01.gif'/*tpa=http://dit.mos.ru/images/header_btn_01.gif*/,'header_btn_01_a.gif'/*tpa=http://dit.mos.ru/images/header_btn_01_a.gif*/),
    new Array('btn_1','header_btn_02.gif'/*tpa=http://dit.mos.ru/images/header_btn_02.gif*/,'header_btn_02_a.gif'/*tpa=http://dit.mos.ru/images/header_btn_02_a.gif*/),
    new Array('btn_2','header_btn_03.gif'/*tpa=http://dit.mos.ru/images/header_btn_03.gif*/,'header_btn_03_a.gif'/*tpa=http://dit.mos.ru/images/header_btn_03_a.gif*/),
    new Array('btn_3','header_btn_04.gif'/*tpa=http://dit.mos.ru/images/header_btn_04.gif*/,'header_btn_04_a.gif'/*tpa=http://dit.mos.ru/images/header_btn_04_a.gif*/)

);



function changeHeaderPic(ind){

     for(i=0; i < buttonPics.length; i++)
        $("#btn_"+i).attr('src', buttonPics[i][1]);


    if(ind){
        //$("#headerframe").css('backgroundImage', 'url('+headerPics[ind][0]+')');
        $("#headerpic").attr('src', headerPics[ind][0]);
        $("#headerPicTxt").html(headerPics[ind][1]) ;
        $("#btn_"+ind).attr('src', buttonPics[ind][2]);


    }else{

        //$("#headerframe").css('backgroundImage', 'url('+headerPics[0][0]+')');
        $("#headerpic").attr('src', headerPics[0][0]);
        $("#headerPicTxt").html(headerPics[0][1]);
        $("#btn_0").attr('src', buttonPics[0][2]);
    }
}

function toggleVote() {
    $('#closeVote').click(function() {
        $('div.arch_img').slideToggle();
        $(this).find('input').toggle();
        $('div.arch_title').toggleClass('arch_title_cl');

    });

}

function ajaxvote(id) {
    //alert(id);
    if($('#vote'+id).attr('rel') != 'voted') {
        $.ajax({
                url: '/scripts/ajaxProposalVote.php?id='+id,
                success: function (data) {
                    //alert("success!!"+data);
                    $('#ifLikeCount'+id).html(data);
                    $('#vote'+id).attr('rel','voted');
                    $('#vote'+id).css('opacity','0.5');
		}
        });
    }
}


function captchaajaxvote(id) {
    //alert(id);
    captcha = $('#captcha'+id).val(); //document.getElementById('captcha').value;
    against = $('#against'+id).val();
    //alert(against);
    //return;
    if($('#vote'+id).attr('rel') != 'voted') {
        //alert('works');
        $.ajax({
                url: '/scripts/ajaxBestProposalVote.php?id='+id+'&captcha='+captcha+'&against='+against,
                success: function (data) {
                    //alert("success!!"+data);
                    if(data == '#captcha_error#') {
                        $('#captcha_err_div'+id).show("fast");
                        //$('#captchaimg'+id).attr('src','/images/captcha.php?'+Math.random());

                        //document.getElementById('captchaimg').src='/images/captcha.php?' + Math.random();
                        //alert('Код введен неверно');
                        return;
                    }
                    $('#captcha_err_div'+id).hide();
                    $('#captchaimg'+id).attr('src','/images/captcha.php?'+Math.random());
                    $('#captcha'+id).val('');
                    if(against == 0)
                        $('#ifLikeCount'+id).html(data);
                    else
                        $('#ifAgainstCount'+id).html(data);
                    $('#vote'+id).attr('rel','voted');
                    $('#vote'+id).css('opacity','0.5');
                    $('#against'+id).attr('rel','voted');
                    $('#against'+id).css('opacity','0.5');
                    $('#captcha_div'+id).hide();
		}
        });
    }
}


